int ledPin = 6;
int buzzer = 3;
int lightSensor = A9;
int sensorVal = 0;
int threshold = 150;

#include "pitches.h"

//notes in the melody
int melody[] = {
  NOTE_C4, NOTE_C4, NOTE_D4, NOTE_C4, NOTE_F4, NOTE_E4, NOTE_C4, NOTE_C4, NOTE_D4, NOTE_C4, NOTE_G4, NOTE_F4, NOTE_C4, NOTE_C4, NOTE_C5, NOTE_A4, NOTE_F4, NOTE_E4, NOTE_D4, NOTE_AS4, NOTE_AS4, NOTE_A4, NOTE_F4, NOTE_G4, NOTE_F4
};

//note durations: 4 = quarter note, 8 = eight note, etc.
int noteDurations[] = {
  8, 8, 4, 4, 4, 2, 8, 8, 4, 4, 4, 2, 8, 8, 4, 4, 4, 4, 4, 8, 8, 4, 4, 4, 2,
};

void setup() {
  pinMode (ledPin, OUTPUT);
  pinMode (lightSensor, INPUT);
  pinMode (buzzer, OUTPUT);
  Serial.begin(9600);
}

void loop() {

  sensorVal = analogRead(lightSensor);
  Serial.println(sensorVal);
  if (sensorVal > threshold) {
    for (int thisNote = 0 ; thisNote < 25 ; thisNote++) {

      digitalWrite (ledPin, HIGH);
      int noteDuration = 1130 / noteDurations[thisNote];
      tone (buzzer, melody[thisNote], noteDuration);
      int pause = noteDuration * 1.275;
      delay (pause);
      noTone(3);
    }

    delay(1000);
    digitalWrite(ledPin, LOW);

  }
}
